datasources:
  postgres:
    url: jdbc:postgresql://${KESTRA_DB_HOST}:5432/${KESTRA_DB_NAME}
    driverClassName: org.postgresql.Driver
    username: ${KESTRA_DB_USERNAME}
    password: ${KESTRA_DB_PASSWORD}

kestra:
  server:
    basic-auth:
      enabled: true
      username: ${KESTRA_USERNAME}
      password: ${KESTRA_PASSWORD}
  repository:
    type: postgres
  queue:
    type: postgres
  storage:
    type: local
    local:
      base-path: /app/storage
  tutorial-flows:
    enabled: false
  tasks:
    tmp-dir:
      path: /tmp/kestra-wd/tmp
  url: http://127.0.0.1:18080/
  anonymous-usage-report:
    enabled: false
